#
# spec file for package nano (Version 2.2.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define nano_extraver %{nil}

Name:           nano
BuildRequires:  ncurses-devel
Url:            http://www.nano-editor.org/
License:        GPLv3+
Group:          Productivity/Editors/Other
AutoReqProv:    on
Summary:        Pico Editor Clone with Enhancements
Version:        2.2.2
Release:        1
Source:         %{name}-%{version}%{nano_extraver}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %install_info_prereq

%description
GNU nano is a small and friendly text editor. It aims to emulate the
Pico text editor while also offering a few enhancements.



Authors:
--------
    Chris Allegretta <chrisa@asty.org>
    David Lawrence Ramsey <pooka_regent@sluggy.net>
    Jordi Mallach <jordi@sindominio.net>
    Adam Rogoyski <rogoyski@cs.utexas.edu>
    Robert Siemborski <rjs3@andrew.cmu.edu>
    Rocco Corsi <rocco.corsi@sympatico.ca>
    David Benbennick <dbenbenn@math.cornell.edu>


%lang_package
%prep
%setup -q -n %{name}-%{version}%{nano_extraver}

%build
%configure --disable-rpath --enable-utf8
%__make %{?_smp_mflags}

%install
%__make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name} --with-man --all-name

%check
%__make check

%clean
%__rm -rf $RPM_BUILD_ROOT

%post
%install_info --info-dir=%_infodir %_infodir/%name.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%files
%defattr(-, root, root)
%doc AUTHORS BUGS COPYING ChangeLog NEWS README THANKS TODO UPGRADE
%dir %{_mandir}/fr
%{_mandir}/man?/*.*
%{_bindir}/*
%{_infodir}/*.gz
%{_datadir}/nano

%files lang -f %{name}.lang

%changelog
